CURLOPT_PROXY_KEYPASSWD(3)

NAME
CURLOPT_PROXY_KEYPASSWD - set passphrase to proxy private key

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXY_KEYPASSWD, char *pwd);

DESCRIPTION
This option is for connecting to a HTTPS proxy, not a HTTPS server. Pass a pointer to a zero terminated string as parameter. It will be used as the password required to use the CURLOPT_PROXY_SSLKEY(3) private key. You never needed a pass phrase to load a certificate but you need one to load your private key.

DEFAULT
NULL

PROTOCOLS
Used with HTTPS proxy

EXAMPLE
TODO

AVAILABILITY
Added in 7.52.0

RETURN VALUE
Returns CURLE_OK if TLS enabled, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_PROXY_SSLKEY(3), CURLOPT_SSH_PRIVATE_KEYFILE(3), CURLOPT_SSLKEY(3),